<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_white"
    android:paddingLeft="8dp"
    android:paddingTop="16dp"
    android:paddingRight="16dp">


    <com.gh.gamecenter.common.view.AvatarBorderView
        android:id="@+id/userAvatar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:avatar_width="32dp"
        app:badge_width="10dp"
        app:border_color="@color/transparent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_height="48dp"
        tools:layout_width="48dp" />

    <TextView
        android:id="@+id/userNameTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_title"
        android:textSize="13sp"
        app:layout_constraintStart_toEndOf="@+id/userAvatar"
        app:layout_constraintTop_toTopOf="@+id/userAvatar"
        tools:text="多勒密法索拉斯多" />

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/badgeIv"
        android:layout_width="13dp"
        android:layout_height="13dp"
        android:layout_marginLeft="4dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/userNameTv"
        app:layout_constraintStart_toEndOf="@+id/userNameTv"
        app:layout_constraintTop_toTopOf="@id/userNameTv"
        tools:background="@color/background"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/fansAndTimeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="11sp"
        app:layout_constraintBottom_toBottomOf="@+id/userAvatar"
        app:layout_constraintStart_toEndOf="@+id/userAvatar" />

    <TextView
        android:id="@+id/concernBtn"
        android:layout_width="60dp"
        android:layout_height="28dp"
        android:gravity="center"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@+id/userAvatar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/userAvatar" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/contentContainer"
        android:layout_width="match_parent"
        android:layout_height="16dp"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="12dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/userAvatar">

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="8dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:textColor="@color/text_title"
            android:textSize="@dimen/secondary_title_text_size"
            android:textStyle="bold"
            app:layout_constraintEnd_toStartOf="@+id/expandMoreIv"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="坎特伯雷公主与骑士，唤醒冠军之-剑的奇幻冒险坎特伯雷公主与骑士" />

        <TextView
            android:id="@+id/desTv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="7dp"
            android:textColor="@color/text_subtitle"
            android:textSize="13sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/titleTv"
            tools:text="坎特伯雷公主与骑士，唤醒冠军之-剑的奇幻冒险坎特伯雷公主与骑士，唤醒冠军之-剑的奇幻冒险坎特伯雷公主与骑士，唤醒冠军之-剑的奇幻冒险坎特伯雷公主与骑士，唤醒冠军之-剑的奇幻冒险坎特伯雷公主与骑士，唤醒冠军之-剑的奇幻冒险" />

        <ImageView
            android:id="@+id/expandMoreIv"
            android:layout_width="20dp"
            android:layout_height="14dp"
            android:layout_marginBottom="4dp"
            android:src="@drawable/ic_forum_video_detail_arrow"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/sectionNameTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:layout_marginStart="8dp"
        android:drawablePadding="4dp"
        android:includeFontPadding="false"
        android:textColor="@color/theme"
        android:textSize="@dimen/secondary_size"
        android:visibility="gone"
        app:drawableStartCompat="@drawable/icon_section"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/contentContainer"
        tools:visibility="visible"
        tools:text="子版块名称" />

    <TextView
        android:id="@+id/activityNameTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="16dp"
        android:drawableLeft="@drawable/ic_choose_activity"
        android:drawablePadding="4dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_FF925C"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/sectionNameTv"
        app:layout_constraintTop_toBottomOf="@+id/contentContainer"
        tools:text="第四期新星up计划"
        tools:visibility="visible" />

    <LinearLayout
        android:id="@+id/likeContainer"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="40dp"
        android:layout_marginTop="20dp"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:paddingLeft="16dp"
        android:paddingRight="8dp"
        app:layout_constraintEnd_toStartOf="@+id/collectContainer"
        app:layout_constraintHorizontal_chainStyle="spread_inside"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/sectionNameTv">

        <ImageView
            android:id="@+id/likeIv"
            android:layout_width="20dp"
            android:layout_height="20dp" />

        <TextView
            android:id="@+id/likeCountTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:includeFontPadding="false"
            android:textSize="12sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/collectContainer"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:paddingLeft="8dp"
        android:paddingRight="8dp"
        app:layout_constraintEnd_toStartOf="@+id/shareContainer"
        app:layout_constraintStart_toEndOf="@+id/likeContainer"
        app:layout_constraintTop_toBottomOf="@+id/sectionNameTv">

        <ImageView
            android:id="@+id/collectIv"
            android:layout_width="20dp"
            android:layout_height="20dp" />

        <TextView
            android:id="@+id/collectCountTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:includeFontPadding="false"
            android:textSize="12sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/shareContainer"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginRight="40dp"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:paddingLeft="8dp"
        android:paddingRight="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/collectContainer"
        app:layout_constraintTop_toBottomOf="@+id/sectionNameTv">

        <ImageView
            android:id="@+id/shareIv"
            android:layout_width="20dp"
            android:layout_height="20dp" />

        <TextView
            android:id="@+id/shareTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="12sp" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="4dp"
        android:background="@color/divider"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/likeContainer" />

</androidx.constraintlayout.widget.ConstraintLayout>
